%global pypi_name importanize
%global sum Utility for organizing Python imports using PEP8 or custom rules

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-six python3-six

%description
importanize allows to organize Python imports using PEP8 or configuration file.

%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
importanize allows to organize Python imports using PEP8 or configuration file.

%package -n python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
importanize allows to organize Python imports using PEP8 or configuration file.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
rm -fr %{buildroot}%{python2_sitelib}/tests
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests

%files -n python-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}

%files -n python3-%{pypi_name}
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-2
- Removed tests directory.

* Mon Jan 18 2016 Sundeep Anand <suanand@redhat.com> - 0.4.1-1
- Initial RPM Package.
